@import url("https://fonts.googleapis.com/css2?family=Handlee&family=Kalam:wght@300;400;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background-image: url(../image/fondo.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  pointer-events: none;
}

.container {
  margin-block: 2rem;
}

.banner {
  width: 100%;
  height: 100vh;
  text-align: center;
  overflow: hidden;
  position: relative;
}

.banner .slider {
  position: absolute;
  width: 200px;
  height: 250px;
  top: 10%;
  left: calc(50% - 100px);
  transform-style: preserve-3d;
  transform: perspective(1000px);
  animation: autoRun 20s linear infinite;
  z-index: 2;
}

@keyframes autoRun {
  from {
    transform: perspective(1000px) rotateX(-5deg) rotateY(0deg);
  }
  to {
    transform: perspective(1000px) rotateX(-5deg) rotateY(360deg);
  }
}

.banner .slider .item {
  position: absolute;
  inset: 0 0 0 0;
  transform: rotateY(
      calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg)
    )
    translateZ(550px);
}

.banner .slider .item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 15px;
}

.banner .content {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  width: min(1400px, 100vw);
  height: max-content;
  padding-bottom: 100px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  z-index: 1;
}

.banner .content h1 {
  font-family: "Kalam", cursive;
  font-size: 16em;
  line-height: 1em;
  color: #000;
  position: relative;
}

.banner .content h1::after {
  position: absolute;
  inset: 0 0 0 0;
  content: attr(data-content);

  -webkit-text-stroke: 3px #000;
  color: transparent;
  z-index: 2;
}

.banner .content .author {
  font-family: "Kalam", cursive;
  text-align: center;
  max-width: 200px;
  z-index: 2;
}

.banner .banner .author h2 {
  font-size: 3em;
}

.banner .content .model {
  background-image: url(../image/totoroFondo.png);
  width: 100%;
  height: 100%;
  position: absolute;
  bottom: 0;
  left: 0;
  background-size: auto 100%;
  background-repeat: no-repeat;
  background-position: top center;
  z-index: 1;
}

@media screen and (max-width: 1023px) {
  .banner .slider {
    width: 160px;
    height: 200px;
    left: calc(50% - 80px);
  }
  .banner .slider .item {
    transform: rotateY(
        calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg)
      )
      translateZ(300px);
  }
  .banner .content h1 {
    text-align: center;
    width: 100%;
    text-shadow: 0 10px 20px #000;
    font-size: 7em;
  }
  .banner .content .author {
    color: #fff;
    padding: 20px;
    text-shadow: 0 10px 20px #000;
    z-index: 2;
    max-width: unset;
    width: 100%;
    text-align: center;
    padding: 0 30px;
  }
}
@media screen and (max-width: 767px) {
  .banner .slider {
    top: 30%;
    width: 100px;
    height: 150px;
    left: calc(50% - 50px);
  }
  .banner .slider .item {
    transform: rotateY(
        calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg)
      )
      translateZ(180px);
  }
  .banner .content h1 {
    font-size: 5em;
  }
}
